#ifndef DBANSWERPARSER_H
#define DBANSWERPARSER_H

#include "dataparser.h"
#include "serverlmswidget.h"

#include <QObject>
#include <QDomDocument>

class DBAnswerParser : public QObject
{
    Q_OBJECT
public:
    explicit DBAnswerParser(QObject *parent = nullptr);
    void initialize(DataParser *dataParser);
    QByteArray listInstructors(bool result, QList<Instructor> *listInstructors);
    QByteArray listGroups(bool result, QList<Group> *listGroups);
    QByteArray listTrainees(bool result, QList<Trainee> *listTrainees);
    QByteArray listComputers(bool result, QList<Computer> *listComputers);
    QByteArray listClassrooms(bool result, QList<Classroom> *listClassrooms);
    QByteArray listTasks(bool result, QList<Task> *listTasks);
signals:

private:
    DataParser *dataParser;

};

#endif // DBANSWERPARSER_H
